package cn.iocoder.yudao.module.member.enums;

import cn.iocoder.yudao.framework.common.exception.ErrorCode;

/**
 * Member 错误码枚举类
 * member 系统，使用 1-004-000-000 段
 * @author Administrator
 */
public interface ErrorCodeConstants {
    /**** 用户相关  1004001000 ****/
    ErrorCode USER_NOT_EXISTS = new ErrorCode(1004001000, "member.user.not.exist");

    ErrorCode USER_PASSWORD_FAILED = new ErrorCode(1004001001, "member.user.pass.verify.failed");

    /**** AUTH 模块 1004003000 ****/
    ErrorCode AUTH_LOGIN_BAD_CREDENTIALS = new ErrorCode(1004003000, "member.auth.login.bad");
    ErrorCode AUTH_LOGIN_USER_DISABLED = new ErrorCode(1004003001, "member.auth.login.account.disable");
    ErrorCode AUTH_LOGIN_FAIL_UNKNOWN = new ErrorCode(1004003002, "member.auth.login.unknown");
    ErrorCode AUTH_TOKEN_EXPIRED = new ErrorCode(1004003004, "member.auth.login.token.expired");
    ErrorCode AUTH_THIRD_LOGIN_NOT_BIND = new ErrorCode(1004003005, "member.auth.third.not.bind");

    ErrorCode MEMBER_USER_MOBILE_EXIST = new ErrorCode(1004003006, "member.user.mobile.exist");


    ErrorCode USER_CARD_AUTH_NOT_EXISTS = new ErrorCode(1004004001, "用户身份证认证不存在");
    ErrorCode USER_CARD_AUTH_EXISTS = new ErrorCode(1004004002, "用户认证审核中，请耐心等待审核结果");
    ErrorCode USER_ENTERPRISE_AUTH_NOT_EXISTS = new ErrorCode(1004004003, "用户企业认证不存在");
    ErrorCode USER_ENTERPRISE_AUTH_EXISTS = new ErrorCode(1004004004, "用户企业认证审核中，请耐心等待审核结果");


    ErrorCode CODE_ERROR = new ErrorCode(1004004005, "验证码错误");
    ErrorCode CODE_NOT_NULL = new ErrorCode(1004004006, "code.not.null");

    ErrorCode USER_OPERATION_LOG_NOT_EXISTS = new ErrorCode(1004007001, "用户操作日志不存在");

    ErrorCode USER_ENTERPRISE_NOT_EXISTS = new ErrorCode(1004007002, "会员公司信息不存在");

    ErrorCode USER_EMAIL_ALREADY_EXISTS = new ErrorCode(1004007003, "邮箱已存在");

    ErrorCode EMAIL_CODE_ERROR = new ErrorCode(1004007004, "验证码错误");

    ErrorCode MEMBER_ID_IS_NULL = new ErrorCode(1004008001, "member.id.is.null");

    ErrorCode SCORE_COUNT_ERROR = new ErrorCode(1004008002, "score.count.error");

    ErrorCode MEMBER_SCORE_NOT_ENOUGH = new ErrorCode(1004008003, "member.score.not.enough");
    ErrorCode REVERSE_SOURCE_NO_RELEATION_ID = new ErrorCode(1004008004, "reverse.source.no.releation.id");
    ErrorCode LEVEL_BOUND_RANGE_ERROR = new ErrorCode(1004008005, "level.bound.range.error");
    ErrorCode LEVEL_BOUND_RANGE_CONFLICT = new ErrorCode(1004008006, "level.bound.range.conflict");
    ErrorCode SOURCE_TYPE_IS_NULL = new ErrorCode(1004008007, "source.type.is.null");
    ErrorCode SCORE_OPERATE_MUST_HAVE_UNIQUE_ID = new ErrorCode(1004008008, "score.operate.must.have.unique.id");
    ErrorCode SCORE_OPERATE_IDEMPOTENT_ERROR = new ErrorCode(1004008009, "score.operate.idempotent.error");

    ErrorCode SCORE_RULE_NOT_EXISTS = new ErrorCode(1004008010, "score.rule.not.exists");
    ErrorCode SCORE_RULE_DELETE_ERROR = new ErrorCode(1004008011, "score.rule.delete.error");
    ErrorCode SCORE_RULE_UPDATE_ERROR = new ErrorCode(1004008012, "score.rule.update.error");
    ErrorCode SCORE_RULE_FIELD_ERROR = new ErrorCode(1004008013, "score.rule.field.error");
}
