package cn.iocoder.yudao.module.member.service.score;

import java.util.*;

import cn.iocoder.yudao.framework.mybatis.core.service.IService;
import cn.iocoder.yudao.module.member.api.score.dto.MemberUserScoreUpdateReqDTO;
import cn.iocoder.yudao.module.member.vo.memberUserScore.*;
import cn.iocoder.yudao.module.member.dal.dataobject.score.MemberUserScoreDO;
import cn.iocoder.yudao.framework.common.pojo.PageResult;

/**
 * 会员积分 Service 接口
 *
 * @author 系统管理员
 */
public interface MemberUserScoreService extends IService<MemberUserScoreDO> {

    /**
     * 删除会员积分
     * @param id 编号
     */
    void deleteUserScore(Long id);

    /**
     * 获得会员积分
     * @param id 编号
     * @return 会员积分
     */
    MemberUserScoreDO getUserScore(Long id);

    /**
     * 获得会员积分列表
     * @param ids 编号
     * @return 会员积分列表
     */
    List<MemberUserScoreDO> getUserScoreList(Collection<Long> ids);

    /**
     * 获得会员积分分页
     * @param query 查询
     * @return 会员积分分页
     */
    PageResult<MemberUserScoreBackVO> getUserScorePage(MemberUserScoreQueryVO query);

    /**
     * 获得会员积分列表, 用于 Excel 导出
     * @param query 查询
     * @return 会员积分列表
     */
    List<MemberUserScoreDO> getUserScoreList(MemberUserScoreQueryVO query);

    void updateUserScore(MemberUserScoreUpdateReqDTO query);
}
