package cn.iocoder.yudao.module.member.vo.memberUserScoreLog;

import cn.hutool.json.JSONObject;
import cn.hutool.json.JSONUtil;
import com.fasterxml.jackson.databind.annotation.JsonSerialize;
import com.fasterxml.jackson.databind.ser.std.ToStringSerializer;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import org.apache.commons.lang.StringUtils;

import java.util.Collections;
import java.util.Date;
import java.util.Map;

/**
 * @author zhaobiyan
 */
@Data
@ApiModel("管理后台 - 积分记录查询 VO")
public class MemberUserScoreLogBackVO {
    @ApiModelProperty(value = "积分记录id")
    @JsonSerialize(using = ToStringSerializer.class)
    private Long id;
    @ApiModelProperty(value = "会员id")
    private Long memberId;
    @ApiModelProperty(value = "会员昵称中文")
    private String memberNameZh;
    @ApiModelProperty(value = "会员昵称英文")
    private String memberNameEn;
    @ApiModelProperty(value = "积分数量")
    private Integer scoreCount;
    @ApiModelProperty(value = "操作类别")
    private Integer operateType;
    @ApiModelProperty(value = "积分来源")
    private Integer sourceType;
    @ApiModelProperty(value = "规则标题(中文)")
    private String ruleTitleZh;
    @ApiModelProperty(value = "规则标题(英文)")
    private String ruleTitleEn;
    @ApiModelProperty(value = "规则说明(中文)")
    private String ruleDescZh;
    @ApiModelProperty(value = "规则说明(英文)")
    private String ruleDescEn;
    @ApiModelProperty(value = "规则封面(中文)")
    private String coverImageZh;
    @ApiModelProperty(value = "规则封面(英文)")
    private String coverImageEn;
    @ApiModelProperty(value = "创建时间")
    private Date createTime;
    @ApiModelProperty(value = "扩展参数")
    private String extParam;



    public JSONObject getExtParamJson() {
        if (StringUtils.isBlank(extParam)) {
            return new JSONObject();
        }
        return JSONUtil.parseObj(extParam);
    }
}
